Subject: Re: [dhcwg] Re: [Geopriv] I-D ACTION:draft-ietf-geopriv-dhcp-civil-08.txt

From: Ralph Droms <[email-masked]>
Date: Mon, 09 Jan 2006 23:40:00 -0500

Henning - will you please publish a revised draft with that new text for
review?  Thanks...

- Ralph

On 12/30/05 4:42 AM, "Henning Schulzrinne" <[email-masked]> wrote:

> John,
> 
> my mistake, as I had asked for a declaration of consensus, but then never
> followed up when the thread died. Here's my proposed text:
> 
> Therefore, location information SHOULD NOT be sent from a
> DHCP client to a DHCP server.  If a client decides to send location
> information to the server, it is implicitly granting that server
> unlimited retention and distribution permissions.
> 
> --- EOT ---
> 
> To avoid another deadlock, I will insert this text at the end of the
> paragraph in the introduction (replacing the MUST NOT) unless somebody
> objects or suggests better text.
> 
> Henning
> 
> 
> ----- Original Message -----
> From: John Schnizlein
> To: DHCP discussion list
> Cc: Henning Schulzrinne
> Sent: Thursday, December 29, 2005 11:45 PM
> Subject: Fwd: [Geopriv] I-D ACTION:draft-ietf-geopriv-dhcp-civil-08.txt
> 
> 
> A new version of geopriv-dhcp-civil was recently posted, which contains the
> same text regarding restrictions on the use of the DHC protocol as in -07,
> despite what appeared to be consensus to resolve this issue:
> http://www1.ietf.org/mail-archive/web/dhcwg/current/msg05641.html
> 
> This document only defines the delivery of location information from
> the DHCP server to the client, due to security concerns related to
> using DHCP to update the database. Within the GEOPRIV architecture
> as defined by RFC 3693 [11], the defined mechanism in this document
> for conveying initial location information is known as a "sighting"
> function. Sighting functions are not required to have security
> capabilities and are only intended to be configured in trusted and
> controlled environments. (A classic example of the sighting function
> is a Global Positioning System wired directly to a network node.)
> After initial location information has been introduced, it MUST be
> afforded the protections defined in RFC 3694 [12]. Therefore,
> location information MUST NOT be sent from a DHCP client to a DHCP
> server as is normally allowed by DHCP.
> 
> I hope this is simply an error, and will be fixed before the (next) draft
> goes forward.
> 
> John
> 
> Begin forwarded message:
> 
> 
> From: [email-masked]
> Date: December 27, 2005 6:50:01 PM EST
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Geopriv] I-D ACTION:draft-ietf-geopriv-dhcp-civil-08.txt
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Geographic Location/Privacy Working Group
> of the IETF.
> 
> Title : Dynamic Host Configuration Protocol (DHCPv4
> and DHCPv6) Option for Civic Addresses
> Configuration Information
> Author(s) : H. Schulzrinne
> Filename : draft-ietf-geopriv-dhcp-civil-08.txt
> Pages : 23
> Date : 2005-12-27
> 
> This document specifies a Dynamic Host Configuration Protocol (DHCPv4
> and DHCPv6) option containing the civic location of the client or the
> DHCP server. The Location Configuration Information (LCI) includes
> information about the country, administrative units such as states,
> provinces and cities, as well as street addresses, postal community
> names and building information. The option allows multiple
> renditions of the same address in different scripts and languages.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-geopriv-dhcp-civil-08.txt
> 
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg